Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qdml
Class QDMAttributes

    java.lang.Object
      |
      +--com.jxml.quick.model.qdml.QDMCloneable
            |
            +--com.jxml.quick.model.qdml.QDMAttributes

All Implemented Interfaces:
  Cloneable

public class QDMAttributes
extends QDMCloneable

Models the attributes element in QDML. The attributes element is used to describe the attributes of an element.

    DTD:

    <!ELEMENT attributes (item)*>

    <!ATTLIST attributes
        inherited CDATA #IMPLIED
        ID id #IMPLIED
    >

Field Summary
`TreeMap` | `atts` A table of all attribute items, including inherited attributes, keyed and ordered by attribute name.
`QDMCoin` | `extendsCoin` The QDMAbstract, QDMText, or QDMBean object named by the extends element of the abstract or bean element which contains this attributes element.
`boolean` | `inherited` Models the inherited attribute on the attributes element.
`ArrayList` | `itemList` A container for the QDMItem objects, which model item elements.

Constructor Summary
`QDMAttributes()`

Method Summary
`void` | `buildMaps(Map coinMap, Map contentMap, QDMCoin coin)` Builds the maps.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`Map` | `getAtts()` Returns a table of QDMItem objects, keyed by attribute name.
`void` | `init(Map coinMap, Map contentMap, QDMCoin myCoin, QDMCoin extendsCoin)` Resolve references, inheritance.

Methods inherited from class com.jxml.quick.model.qdml.QDMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inherited

    public boolean inherited

  Models the inherited attribute on the attributes element. The inherited attribute defaults to true. When set to false, inheritance of attributes is inhibited.

### itemList

    public ArrayList itemList

  A container for the QDMItem objects, which model item elements. The item elements are optional and repeating within the content of the attributes element. Each item describes an attribute on the element being defined by the abstract or bean element which contains the attributes element.

### atts

    public transient TreeMap atts

  A table of all attribute items, including inherited attributes, keyed and ordered by attribute name. This table is populated when the data model is initialized.

### extendsCoin

    public transient QDMCoin extendsCoin

  The QDMAbstract, QDMText, or QDMBean object named by the extends element of the abstract or bean element which contains this attributes element. This variable is set when the data model is initialized.

Constructor Detail

### QDMAttributes

    public QDMAttributes()

Method Detail

### clone

    public Object clone()

  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QDMCloneable`

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap,
                          QDMCoin coin)
                   throws SAXException

  Builds the maps. This method is called during initialization of the data model.

### init

    public void init(Map coinMap,
                     Map contentMap,
                     QDMCoin myCoin,
                     QDMCoin extendsCoin)
              throws SAXException

  Resolve references, inheritance. This method is called during initialization of the data model.

### getAtts

    public Map getAtts()
                throws SAXException

  Returns a table of QDMItem objects, keyed by attribute name. Inherited attribute items are included.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD